# Generated by Django 3.2.3 on 2023-03-02 17:54

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ThirdUsers',
            fields=[
                ('id', models.BigAutoField(help_text='Id', primary_key=True, serialize=False, verbose_name='Id')),
                ('description', models.CharField(blank=True, help_text='描述', max_length=255, null=True, verbose_name='描述')),
                ('modifier', models.CharField(blank=True, help_text='修改人', max_length=255, null=True, verbose_name='修改人')),
                ('dept_belong_id', models.CharField(blank=True, help_text='数据归属部门', max_length=255, null=True, verbose_name='数据归属部门')),
                ('update_datetime', models.DateTimeField(auto_now=True, help_text='修改时间', null=True, verbose_name='修改时间')),
                ('create_datetime', models.DateTimeField(auto_now_add=True, help_text='创建时间', null=True, verbose_name='创建时间')),
                ('platform', models.CharField(default='wechat', help_text='应用平台', max_length=50, verbose_name='应用平台')),
                ('open_id', models.CharField(help_text='open_id', max_length=50, verbose_name='open_id')),
                ('union_id', models.CharField(blank=True, help_text='union_id', max_length=255, null=True, verbose_name='union_id')),
                ('openname', models.CharField(blank=True, help_text='用户昵称', max_length=255, null=True, verbose_name='用户昵称')),
                ('tags', models.JSONField(blank=True, help_text='用于存放用户标签(年龄段、性别、历史区域等)', null=True, verbose_name='TAG标签')),
                ('login_ip', models.GenericIPAddressField(blank=True, help_text='绑定ip', null=True, verbose_name='绑定ip')),
                ('latitude', models.CharField(blank=True, help_text='绑定纬度', max_length=50, null=True, verbose_name='纬度')),
                ('longitude', models.CharField(blank=True, help_text='绑定经度', max_length=50, null=True, verbose_name='经度')),
                ('country', models.CharField(blank=True, help_text='绑定国家', max_length=50, null=True, verbose_name='绑定国家')),
                ('province', models.CharField(blank=True, db_index=True, help_text='绑定省份', max_length=50, null=True, verbose_name='绑定省份')),
                ('city', models.CharField(blank=True, db_index=True, help_text='绑定城市', max_length=50, null=True, verbose_name='绑定城市')),
                ('district', models.CharField(blank=True, help_text='绑定县区', max_length=100, null=True, verbose_name='绑定县区')),
                ('address', models.CharField(blank=True, help_text='详细地址', max_length=200, null=True, verbose_name='详细地址')),
                ('avatar_url', models.CharField(blank=True, help_text='头像', max_length=255, null=True, verbose_name='头像')),
                ('session_key', models.CharField(blank=True, help_text='session_key', max_length=255, null=True, verbose_name='session_key')),
                ('creator', models.ForeignKey(db_constraint=False, help_text='创建人', null=True, on_delete=django.db.models.deletion.SET_NULL, related_query_name='creator_query', to=settings.AUTH_USER_MODEL, verbose_name='创建人')),
                ('users', models.ForeignKey(blank=True, db_constraint=False, help_text='所属用户', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='third_user', to=settings.AUTH_USER_MODEL, verbose_name='关联用户')),
            ],
            options={
                'verbose_name': '第三方用户管理',
                'verbose_name_plural': '第三方用户管理',
                'db_table': 'third_third_users',
                'ordering': ('-create_datetime',),
            },
        ),
    ]
